cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
109
Views
0
Helpful
1
Replies
Highlighted

Yang Develop Kit----hasn't found Cisco_IOS_XE_native from ydk.models.cisco_ios_xe

Hi Team,

 

I use "ydk-models-cisco-ios-xe-16.9.3.post1.tar.gz"

But I was coding in VS code.

from ydk.models.cisco_ios_xe import Cisco_IOS_XE_native  

(but haven't found Cisco_IOS_XE_native, please see the attached photos)

Only found Cisco_IOS_XE_nat_oper &  Cisco_IOS_XE_ntp_oper

 

Please see the attached photos

 

Much appreciate your help and advice

 

 

 

Jacky Zhang
Global Telecom
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Participant

Hi Jacky

Please check package installation. For example, in my python3 virtual environment:

$ ls ../venv/lib/python3.7/site-packages/ydk/models/cisco_ios_xe/Cisco_IOS_XE_native.py

If this file is not found, then something wrong with package installation.

If found, then you need reindex your IDE.

Yan Gorelik
YDK Solutions

View solution in original post

1 REPLY 1
Highlighted
Participant

Hi Jacky

Please check package installation. For example, in my python3 virtual environment:

$ ls ../venv/lib/python3.7/site-packages/ydk/models/cisco_ios_xe/Cisco_IOS_XE_native.py

If this file is not found, then something wrong with package installation.

If found, then you need reindex your IDE.

Yan Gorelik
YDK Solutions

View solution in original post

Content for Community-Ad
Cisco Community October 2020 Spotlight Award Winners